All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Filter32f
Convolution

General purpose 2D convolution filter using floating point weights. More...

## Functions

NppStatus | nppiFilter32f_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned convolution filter. More...
NppStatus | nppiFilter32f_8u_C1R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_8u_C2R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Two channel 8-bit unsigned convolution filter. More...
NppStatus | nppiFilter32f_8u_C2R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Three channel 8-bit unsigned convolution filter. More...
NppStatus | nppiFilter32f_8u_C3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned convolution filter. More...
NppStatus | nppiFilter32f_8u_C4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned convolution filter, ignorint alpha channel. More...
NppStatus | nppiFilter32f_8u_AC4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_8s_C1R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Single channel 8-bit signed convolution filter. More...
NppStatus | nppiFilter32f_8s_C1R (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_8s_C2R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Two channel 8-bit signed convolution filter. More...
NppStatus | nppiFilter32f_8s_C2R (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_8s_C3R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Three channel 8-bit signed convolution filter. More...
NppStatus | nppiFilter32f_8s_C3R (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_8s_C4R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 8-bit signed convolution filter. More...
NppStatus | nppiFilter32f_8s_C4R (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_8s_AC4R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 8-bit signed convolution filter, ignoring alpha channel. More...
NppStatus | nppiFilter32f_8s_AC4R (const Npp8s *pSrc, int nSrcStep, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_16u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Single channel 16-bit unsigned convolution filter. More...
NppStatus | nppiFilter32f_16u_C1R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_16u_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Three channel 16-bit unsigned convolution filter. More...
NppStatus | nppiFilter32f_16u_C3R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_16u_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned convolution filter. More...
NppStatus | nppiFilter32f_16u_C4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_16u_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 16-bit unsigned convolution filter, ignoring alpha channel. More...
NppStatus | nppiFilter32f_16u_AC4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_16s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Single channel 16-bit convolution filter. More...
NppStatus | nppiFilter32f_16s_C1R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Three channel 16-bit convolution filter. More...
NppStatus | nppiFilter32f_16s_C3R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_16s_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 16-bit convolution filter. More...
NppStatus | nppiFilter32f_16s_C4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_16s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 16-bit convolution filter, ignoring alpha channel. More...
NppStatus | nppiFilter32f_16s_AC4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_32s_C1R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Single channel 32-bit convolution filter. More...
NppStatus | nppiFilter32f_32s_C1R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_32s_C3R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Three channel 32-bit convolution filter. More...
NppStatus | nppiFilter32f_32s_C3R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_32s_C4R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 32-bit convolution filter. More...
NppStatus | nppiFilter32f_32s_C4R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_32s_AC4R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 32-bit convolution filter, ignoring alpha channel. More...
NppStatus | nppiFilter32f_32s_AC4R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_16f_C1R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Single channel 16-bit floating point convolution filter. More...
NppStatus | nppiFilter32f_16f_C1R (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_16f_C3R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Three channel 16-bit floating point convolution filter. More...
NppStatus | nppiFilter32f_16f_C3R (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_16f_C4R_Ctx (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 16-bit floating point convolution filter. More...
NppStatus | nppiFilter32f_16f_C4R (const Npp16f *pSrc, int nSrcStep, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_8u16s_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned to 16-bit signed convolution filter. More...
NppStatus | nppiFilter32f_8u16s_C1R (const Npp8u *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_8u16s_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Three channel 8-bit unsigned to 16-bit signed convolution filter. More...
NppStatus | nppiFilter32f_8u16s_C3R (const Npp8u *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_8u16s_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned to 16-bit signed convolution filter. More...
NppStatus | nppiFilter32f_8u16s_C4R (const Npp8u *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_8u16s_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 8-bit unsigned to 16-bit signed convolution filter, ignoring alpha channel. More...
NppStatus | nppiFilter32f_8u16s_AC4R (const Npp8u *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_8s16s_C1R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Single channel 8-bit to 16-bit signed convolution filter. More...
NppStatus | nppiFilter32f_8s16s_C1R (const Npp8s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_8s16s_C3R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Three channel 8-bit to 16-bit signed convolution filter. More...
NppStatus | nppiFilter32f_8s16s_C3R (const Npp8s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_8s16s_C4R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 8-bit to 16-bit signed convolution filter. More...
NppStatus | nppiFilter32f_8s16s_C4R (const Npp8s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)
NppStatus | nppiFilter32f_8s16s_AC4R_Ctx (const Npp8s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor, NppStreamContext nppStreamCtx)
| Four channel 8-bit to 16-bit signed convolution filter, ignoring alpha channel. More...
NppStatus | nppiFilter32f_8s16s_AC4R (const Npp8s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f *pKernel, NppiSize oKernelSize, NppiPoint oAnchor)

## Detailed Description

General purpose 2D convolution filter using floating point weights.

Pixels under the mask are multiplied by the respective weights in the mask and the results are summed.

### Common parameters for nppiFilter32f functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pKernel | Pointer to the start address of the kernel coefficient array. Coeffcients are expected to be stored in reverse order.
  oKernelSize | Width and Height of the rectangular kernel.
  oAnchor | X and Y offsets of the kernel origin frame of reference relative to the source pixel.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiFilter32f_16f_C1R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_16f_C1R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit floating point convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_16f_C3R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_16f_C3R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit floating point convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_16f_C4R | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_16f_C4R_Ctx | ( | const Npp16f * | pSrc,
|  | int | nSrcStep,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit floating point convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit convolution filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned convolution filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 16-bit unsigned convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 16-bit unsigned convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 16-bit unsigned convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_32s_AC4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_32s_AC4R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit convolution filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_32s_C1R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_32s_C1R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 32-bit convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_32s_C3R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_32s_C3R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 32-bit convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_32s_C4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_32s_C4R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 32-bit convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_8s16s_AC4R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_8s16s_AC4R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit to 16-bit signed convolution filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_8s16s_C1R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_8s16s_C1R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit to 16-bit signed convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_8s16s_C3R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_8s16s_C3R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit to 16-bit signed convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_8s16s_C4R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_8s16s_C4R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit to 16-bit signed convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_8s_AC4R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_8s_AC4R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit signed convolution filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_8s_C1R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_8s_C1R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit signed convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_8s_C2R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_8s_C2R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Two channel 8-bit signed convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_8s_C3R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_8s_C3R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit signed convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_8s_C4R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_8s_C4R_Ctx | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit signed convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_8u16s_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_8u16s_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned to 16-bit signed convolution filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_8u16s_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_8u16s_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned to 16-bit signed convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_8u16s_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_8u16s_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit unsigned to 16-bit signed convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_8u16s_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_8u16s_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned to 16-bit signed convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned convolution filter, ignorint alpha channel.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_8u_C2R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_8u_C2R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Two channel 8-bit unsigned convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three channel 8-bit unsigned convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

NppStatus nppiFilter32f_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor
| ) |  |

NppStatus nppiFilter32f_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f * | pKernel,
|  | NppiSize | oKernelSize,
|  | NppiPoint | oAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four channel 8-bit unsigned convolution filter.

For common parameter descriptions, see Common parameters for nppiFilter32f functions.

Copyright © 2009-2020 NVIDIA Corporation